Servers by jDrones

Pixhawk 2 and Lidar Lite v3 help


(Graham Skjenna) #1

Hello all,

I just purchased a Pixhawk 2. I’m using Mission Planner. I have calibrated all the mandatory hardware, but I cant get my TX to spin the motors. If there is a good tutorial I would love to hear about it. Could it be that the ESC’s are not properly calibrated? The only way I’ve been able to get the motors running is in the motor test page of Mission Planner.

Also, I bought a Lidar Lite v3 (Garmin) range finder. I have it wired for I2C, but I don’t know how to turn it on or get data from it.

If anyone can help me out, I would really appreciate it!

Thanks to those who read my post. :slight_smile:

Now I have a problem when the flight battery is connected. The HERE GPS turns off.


(Dongho Kang) #2

Did you check the prearm check​?
You could be required it.
Also, you need to check esc calibration.
Second
Lidar lite 3 connect through pwm pin. It could be work.


(ppoirier) #3

Hello,

Have you look at this: http://ardupilot.org/copter/docs/common-rangefinder-lidarlite.html

Lidar Lite V3 works fine on I2C with release 3.5 , you have to specify RNGFND_TYPE 15 == LidarLiteV3-I2C
http://ardupilot.org/copter/docs/parameters.html#rngfnd-type-rangefinder-type


(Graham Skjenna) #4

So far so good, Thank you for the response and info!
I’ll update my progress shortly.

Thanks again!
Graham


(Graham Skjenna) #5

Thank you, I have the rngfndr working now.

I do have one more question: How do you arm GPS2?


(ppoirier) #6

Might have a look at this: http://ardupilot.org/copter/docs/common-gps-blending.html#common-gps-blending


(Graham Skjenna) #7

Sorry it took so long for me to reply. Computer went down…

I looked at the instructions, but they don’t apply to Pixhawk 2 Cube as it has a GPS2 port.
I’m also using the “HERE” GPS units

I believe one of my BLHeli 40A esc’s is faulty, so I will replace that today. (it’s stuck in fw/reverse and I cant seem to factory reset it)


(Graham Skjenna) #8

Ok, now my rangefinder is offline.
I’m using Mission Planner v1.3.48 and my copter is v3.4.6
i keep getting messages like “Set RNGFND_TYPE Failed” because the options only go to 12.
Is there a newer version of Mission Planner and/or copter version?

I really appreciate the help!


(ppoirier) #9

Yeah, as I wrote before , [quote=“ppoirier, post:3, topic:18283”]
Lidar Lite V3 works fine on I2C with release 3.5 ,
[/quote]

You can flash the FC with a Beta 3.5 using Mission Planner


(Graham Skjenna) #10

Thank you,
I have v3.5, I just dont know how to install it. Sorry for my lack of knowledge on this topic.


(ppoirier) #11

I recommend you read this excellent wiki : http://ardupilot.org/planner/docs/common-loading-firmware-onto-pixhawk.html


(Graham Skjenna) #12

Will do! Thank you so much for your assistance and knowledge!


(Graham Skjenna) #13

Ok,
I have the v3.5 downloaded from here: https://github.com/ArduPilot/ardupilot/releases/tag/Copter-3.5.0-rc7
but I cant find any tools to import it into MP. Do I need to place the v3.5 firmware in a folder in mission planner?
Also, the latest version of mission planner does not have extended parameters like the previous version.


(ppoirier) #14

You can choose load custom firmware and point to the downloaded files or easier , just click on Beta Firmware


(Graham Skjenna) #15

I have to install an older version of mission planner. That button is not on my screen.
working on it now


(ppoirier) #16

Hummmm… thats the last version =1.3.48


(Graham Skjenna) #17


(ppoirier) #18

Ok , I think you need to set advanced setup, look here:
http://discuss.ardupilot.org/t/missing-load-custom-firmware-in-mp/13734/3


(Graham Skjenna) #19

That did the trick. Thank you!
Now I need to find out the ports on the Pixhawk2
There is:
GPS1
GPS2
Telem1
Telem2


(ppoirier) #20

Lidar lite connect on the I2C port